function [COMB] = combinations_failure(n_comb)
% Function that creates a matrix of n-combinations of the 3 modes

max_value=2^(n_comb) - 1;
COMB=zeros(max_value+1,n_comb);

for i=0:max_value,
str = dec2base(i,2);
% Adding zeros in front of the string
for j=size(str,2): n_comb-1,
    str=strcat('0',str);
end

for j=1:size(str,2),
    if(str(j)=='0'),
        COMB(i+1,j)=0;
    else
        COMB(i+1,j)=1;
    end
end
end

